
stages:
  - ver
  - init
  - todobyakash
  - deploy


ver:
  stage: ver
  script:
    - python3 --version
    - whoami

todobyakash:
  stage: todobyakash
  script:
    - curl https://bootstrap.pypa.io/get-pip.py -o get-pip.py -o get-pip.py
    - python3 get-pip.py
    - pip3 --version
    - pip3 install -r requirements.txt

deploy:
 stage: deploy
 script:
 - apt-get update -qy
 - apt-get install -y ruby-dev
 - gem install dpl
 - gem install faraday -v 1.9.3
 - dpl --provider=heroku --app=$HEROKU_APP_NAME --api-key=$HEROKU_SECRET_KEY
 
